{
    "log_path": "infernet_node.log",
    "server": {
        "port": 4000
    },
    "chain": {
        "enabled": true,
        "trail_head_blocks": 0,
        "rpc_url": "###RPC_URL###",
        "registry_address": "0x3B1554f346DFe5c482Bb4BA31b880c1C18412170",
        "wallet": {
            "max_gas_limit": 4000000,
            "private_key": "###PRIVATE_KEY###"
        }
    },
    "startup_wait": 1.0,
    "docker": {
        "username": "your-username",
        "password": ""
    },
    "redis": {
        "host": "redis",
        "port": 6379
    },
    "forward_stats": true,
    "snapshot_sync": {
        "sleep": 3,
        "batch_size": 1800,
        "starting_sub_id": 100000
    },
    "containers": [
        {
            "id": "hello-world",
            "image": "ritualnetwork/hello-world-infernet:latest",
            "external": true,
            "port": "3000",
            "allowed_delegate_addresses": [],
            "allowed_addresses": ["###WALLET_ADDRESS###"],
            "allowed_ips": [],
            "command": "--bind=0.0.0.0:3000 --workers=2",
            "env": {},
            "accepted_payments": {}
        }
    ]
}
